Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class GlobPatternMapper

    java.lang.Object
      |
      +--org.apache.tools.ant.util.GlobPatternMapper

All Implemented Interfaces:
  FileNameMapper

public class GlobPatternMapper
extends java.lang.Object
implements FileNameMapper

Implementation of FileNameMapper that does simple wildcard pattern replacements.

This does simple translations like *.foo -> *.bar where the prefix to .foo will be left unchanged. It only handles a single * character, use regular expressions for more complicated situations.

This is one of the more useful Mappers, it is used by javac for example.

Author:
  Stefan Bodewig

Field Summary
`protected java.lang.String` | `fromPostfix` Part of "from" pattern after the *.
`protected java.lang.String` | `fromPrefix` Part of "from" pattern before the *.
`protected int` | `postfixLength` Length of the postfix ("from" pattern).
`protected int` | `prefixLength` Length of the prefix ("from" pattern).
`protected java.lang.String` | `toPostfix` Part of "to" pattern after the *.
`protected java.lang.String` | `toPrefix` Part of "to" pattern before the *.

Constructor Summary
`GlobPatternMapper()`

Method Summary
`protected java.lang.String` | `extractVariablePart(java.lang.String name)` Returns the part of the given string that matches the * in the "from" pattern.
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Returns null if the source file name doesn't match the "from" pattern, an one-element array containing the translated file otherwise.
`void` | `setFrom(java.lang.String from)` Sets the "from" pattern.
`void` | `setTo(java.lang.String to)` Sets the "to" pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fromPrefix

    protected java.lang.String fromPrefix

  Part of "from" pattern before the *.

### fromPostfix

    protected java.lang.String fromPostfix

  Part of "from" pattern after the *.

### prefixLength

    protected int prefixLength

  Length of the prefix ("from" pattern).

### postfixLength

    protected int postfixLength

  Length of the postfix ("from" pattern).

### toPrefix

    protected java.lang.String toPrefix

  Part of "to" pattern before the *.

### toPostfix

    protected java.lang.String toPostfix

  Part of "to" pattern after the *.

Constructor Detail

### GlobPatternMapper

    public GlobPatternMapper()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  Sets the "from" pattern. Required.
  Specified by:
    `setFrom` in interface `FileNameMapper`

### setTo

    public void setTo(java.lang.String to)

  Sets the "to" pattern. Required.
  Specified by:
    `setTo` in interface `FileNameMapper`

### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Returns null if the source file name doesn't match the "from" pattern, an one-element array containing the translated file otherwise.
  Specified by:
    `mapFileName` in interface `FileNameMapper`
  Following copied from interface: `org.apache.tools.ant.util.FileNameMapper`
  Parameters:
    `sourceFileName` - the name of the source file relative to some given basedirectory.

### extractVariablePart

    protected java.lang.String extractVariablePart(java.lang.String name)

  Returns the part of the given string that matches the * in the "from" pattern.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.